package zustand;

import javax.swing.UIManager;
import java.awt.*;

public class Main {
  boolean packFrame = false;

  /** Construct the application */
  public Main() {
    MainWindow frame = new MainWindow();
    // Validate frames that have preset sizes
    // Pack frames that have useful preferred size info
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    // Center the window
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);
  }

  /** main method */
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new Main();
  }
}